Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSocketNotifier.Type

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QSocketNotifier.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSocketNotifier

    public static final class QSocketNotifier.Type

extends java.lang.Enum
implements QtEnumerator

This enum describes the various types of events that a socket notifier can recognize. The type must be specified when constructing the socket notifier.

Note that if you need to monitor both reads and writes for the same file descriptor, you must create two socket notifiers. Note also that it is not possible to install two socket notifiers of the same type (Read, Write, Exception) on the same socket.

See also:
  QSocketNotifier(), and `type()`.

See Also:
  Serialized Form

Field Summary
`static QSocketNotifier.Type` | `Exception` An exception has occurred.
`static QSocketNotifier.Type` | `Read` There is data to be read.
`static QSocketNotifier.Type` | `Write` Data can be written.

Method Summary
`static QSocketNotifier.Type` | `resolve(int value)` Returns the QSocketNotifier$Type constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSocketNotifier.Type` | `valueOf(java.lang.String name)`
`static QSocketNotifier.Type[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Read

    public static final QSocketNotifier.Type Read

  There is data to be read.

### Write

    public static final QSocketNotifier.Type Write

  Data can be written.

### Exception

    public static final QSocketNotifier.Type Exception

  An exception has occurred. We recommend against using this.

Method Detail

### values

    public static QSocketNotifier.Type[] values()

### valueOf

    public static QSocketNotifier.Type valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSocketNotifier.Type resolve(int value)

  Returns the QSocketNotifier$Type constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD